body {
  margin: 0;
  background-color: #000;
  font-family: "Segoe UI", sans-serif;
  position: relative;
}
.navbar {
  background-color: #FFFFFF;
}
header {
position: relative;
width: 100%;
height: 100dvh;
background-color: #000; 
overflow: hidden;
display: flex;
align-items: center;
justify-content: center;
}

/* --- LAYER 3: TEXT CONTENT (ALWAYS ON TOP) --- */
.header-content {
z-index: 100;
text-align: center;
/* color: white; */
pointer-events: none;
text-transform: uppercase;
letter-spacing: 0.5em;
/* isolation: isolate; */
}

.header-content h1 {
font-size: clamp(1.8rem, 8vw, 3.5rem);
margin: 0;
font-weight: 700;
color: #FFFFFF;
/* 
text-shadow: 0 0 20px rgba(0, 0, 0, 0.8); */
}

.header-content p {
font-size: 0.8rem;
font-weight: 700;
margin-top: 10px;
color: #FFFFFF;
}

/* --- LAYER 2: FALLBACK IMAGE (MIDDLE) --- */
#fallback-container {
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
z-index: 50;
background-color: #000;
display: none;
opacity: 0;
transition: opacity 1s ease-in;
pointer-events: none;
}

#fallback-image {
width: 100%;
height: 100%;
object-fit: cover;
opacity: 0.5;
}

#topo-header {
position: relative;
  overflow: hidden;
}

#gyro-ui-container {
position: absolute;
bottom: 30px;
left: 0;
width: 100%;
display: flex;
justify-content: center;
z-index: 1000;
pointer-events: none; /* Allows scrolling through the container */
}
#gyro-auth-btn {
pointer-events: auto; /* Re-enables clicking for the button only */
font-size: 24px;
padding: 14px 28px;
background: #000;
color: #fff;
border: 1px solid #fff;
border-radius: 40px;
font-weight: 600;
cursor: pointer;
box-shadow: 0 4px 15px rgba(0,0,0,0.4);
}

/* --- LAYER 1: 3D CANVAS (BOTTOM) --- */
canvas {
position: absolute;
top: 0;
left: 0;
z-index: 1;
}

/*      #status-indicator {
position: absolute;
z-index: 110;
color: #fff;
font-family: monospace;
font-size: 10px;
bottom: 20px;
left: 20px;
opacity: 0.5;
pointer-events: none;
} */

/* Section to demonstrate scroll */
main {
background: #111;
padding: 100px 20px;
min-height: 100vh;
text-align: center;
}

main h1 {
color: white;
}

